metadata:
    format: Lava-Test Test Definition 1.0
    name: smoke-tests-basic
    description: "Run basic smoke tests."
    maintainer:
        - milosz.wasilewski@linaro.org
        - chase.qi@linaro.org
    os:
        - debian
        - ubuntu
        - centos
        - fedora
        - openembedded
    scope:
        - functional
    devices:
        - panda
        - panda-es
        - juno
        - hi6220-hikey
        - apq8016-sbc
        - mustang
        - moonshot
        - thunderX
        - d03
        - d05

params:
    SKIP_INSTALL: "False"
    TESTS: "pwd, lsb_release -a, uname -a, ip a, lscpu, vmstat, lsblk"

run:
    steps:
        - cd ./automated/linux/smoke/
        - ./smoke.sh -s "${SKIP_INSTALL}" -t "${TESTS}"
        - ../../utils/send-to-lava.sh ./output/result.txt
